{
    "plugins": [
        {
            //name: The class name of the plugin
            "name": "gsd::userApp",
            //dependencies: Plugins that the plugin depends on. It can be commented out
            "dependencies": ["gsd::TcpPlugin", "gsd::ExpelPlugin", "gsd::HttpPlugin", "gsd::MonitorPlugin"],
            //config: The configuration of the plugin. This json object is the parameter to initialize the plugin.
            //It can be commented out
            "config": {
            }
        },
        {
            //name: The class name of the plugin
            "name": "gsd::TcpPlugin",
            //dependencies: Plugins that the plugin depends on. It can be commented out
            "dependencies": [],
            //config: The configuration of the plugin. This json object is the parameter to initialize the plugin.
            //It can be commented out
            "config": {
            }
        },
        {
            //name: The class name of the plugin
            "name": "gsd::ExpelPlugin",
            //dependencies: Plugins that the plugin depends on. It can be commented out
            "dependencies": [],
            //config: The configuration of the plugin. This json object is the parameter to initialize the plugin.
            //It can be commented out
            "config": {
            }
        },
        {
            //name: The class name of the plugin
            "name": "gsd::HttpPlugin",
            //dependencies: Plugins that the plugin depends on. It can be commented out
            "dependencies": [],
            //config: The configuration of the plugin. This json object is the parameter to initialize the plugin.
            //It can be commented out
            "config": {
            }
        },
        {
            //name: The class name of the plugin
            "name": "gsd::MonitorPlugin",
            //dependencies: Plugins that the plugin depends on. It can be commented out
            "dependencies": [],
            //config: The configuration of the plugin. This json object is the parameter to initialize the plugin.
            //It can be commented out
            "config": {
            }
        },
        {
            //name: The class name of the plugin
            "name": "httpHelper",
            //dependencies: Plugins that the plugin depends on. It can be commented out
            "dependencies": [],
            //config: The configuration of the plugin. This json object is the parameter to initialize the plugin.
            //It can be commented out
            "config": {
            }
        }
    ]
}